Skip to main content
POST
/
create
cURL
curl --request POST \
  --url https://api-v2.production.higg.org/pm-api/v1/product/create \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-developer-request-token: <api-key>' \
  --data '
{
  "name": "<string>",
  "productType": "Apparel",
  "productCategory": {},
  "modelNumber": "<string>",
  "baseMaterials": [
    {
      "_id": "<string>",
      "amount": 123,
      "measureUnit": "kilograms",
      "partName": "<string>"
    }
  ],
  "customMaterials": [
    {
      "_id": "<string>",
      "amount": 123,
      "measureUnit": "kilograms",
      "partName": "<string>"
    }
  ],
  "packageMaterials": [
    {
      "_id": "<string>",
      "amount": 123,
      "partName": "<string>"
    }
  ],
  "trimMaterials": [
    {
      "_id": "<string>",
      "amount": 123,
      "partName": "<string>"
    }
  ],
  "certifications": [
    "<string>"
  ],
  "barcodes": [
    "<string>"
  ]
}
'
{
  "scores": {},
  "billOfMaterialScores": {},
  "certifications": [
    {
      "_id": "<string>",
      "assertionAuthorityName": "<string>",
      "assertionStandardName": "<string>",
      "certificateName": "<string>",
      "assertionId": "<string>",
      "assertionStandardId": "<string>",
      "dateExpires": 123,
      "proofBody": "<string>",
      "dateIssued": 123,
      "certificationFiles": [
        "<string>"
      ]
    }
  ],
  "productNetWeight": 123,
  "bomNetWeight": 123,
  "scoresTotalAltProductCare": {},
  "logisticsImpacts": {},
  "packagingImpacts": {},
  "productCareImpacts": {},
  "endOfUseImpacts": {},
  "retailImpacts": {},
  "dosImpacts": {},
  "totalPerUseImpacts": {},
  "materials": [
    {
      "scores": {},
      "baseScores": {}
    }
  ]
}

Introduction

The PM API provides functionality for users to create products automatically in Higg Product Module. The product is created using the system defaults for all aspects of the product except the bill of materials. Once the product is created via the API, the user can optionally go into the Product Module tool and manually set additional information about the product. See PM Data Dictionary for details about the parameters.

Create Product

The product requires a name, product type, and product category. The GET https://api-v2.production.higg.org/pm-api/product/category endpoint returns a list of the product types and associated categories. Optionally a product style/model number can be set—this field can be used to hold PLM ids, though note the user can edit this field directly in the Product Module interface.
Create
{
    "name": "test API aug 20",
    "productType": "Apparel",
    "productCategory": "Dress",
    "modelNumber": "test5"
}

Add Product Bill of Materials

The PM API can also be used to create a bill of materials for the product using example, custom, acquired, trims and packaging from MSI. The MSI id, amount of the material, and unit of measure are sent via the API to create the bill of material. Optionally, the user can also send a part name for each material. Note that trims and packaging are always sent as “units” for unit of measure. Available units for materials are: “kilograms” “grams” “milligram” “pound” “ounce” Additionally, if the user set yields in MSI for the material, those user-defined material yields will be available.
Create BoM
{
  "name": "test BoM 201",
  "productType": "Apparel",
  "productCategory": "Dress",
  "modelNumber": "test5"
  "packageMaterials":[{
    "_id": "samplepackage:PK012",
    "partName":"XYZ Package",
    "amount": 1,
    "measureUnit": "units"
  }],
  "trimMaterials":[{
    "_id": "sampletrim:TR001",
    "amount": 1,
    "measureUnit": "units"
  }],
  "baseMaterials":[{
    "_id": "TX0001",
    "amount": 1,
    "measureUnit": "kilograms"
  }],
  "customMaterials":[{
    "_id": "material:d68657bf-5c3e-472d-a4da-10c8d8e3614b",
    "amount": 1,
    "measureUnit": "kilograms"
  }]
}

Authorizations

x-api-key
string
header
required
x-developer-request-token
string
header
required

Body

application/json
name
string
required
productType
enum<string>
required
Available options:
Apparel,
Footwear,
HomeTextiles,
Other
productCategory
object
required
modelNumber
string | null
baseMaterials
object[] | null
customMaterials
object[] | null
packageMaterials
object[] | null
trimMaterials
object[] | null
certifications
string[] | null
barcodes
string[] | null

Response

200 - application/json

Ok

scores
object
required
billOfMaterialScores
object
required
certifications
object[] | null
productNetWeight
number<double> | null
bomNetWeight
number<double> | null
scoresTotalAltProductCare
object
logisticsImpacts
object
packagingImpacts
object
productCareImpacts
object
endOfUseImpacts
object
retailImpacts
object
dosImpacts
object
totalPerUseImpacts
object
materials
object[] | null